/******************************************************************************
 * statman.hpp
 * General driver status and loaded files.
 *-----------------------------------------------------------------------------
 * Copyright (C) 2015 - 2016 Osman Celimli
 * For conditions of distribution and use, see copyright notice in playtone.cpp
 ******************************************************************************/
#ifndef STATMAN
#define STATMAN

/******************************************************************************
 * Layout
 ******************************************************************************/
/* Control IDs
 *-----------------------------------*/
#define STATMAN_ID_BASE					9000
#define STATMAN_ID_BORDER				(STATMAN_ID_BASE + 0)


/******************************************************************************
 * Class
 ******************************************************************************/
#define STATMAN_BUFFER_ENTRIES			8192
#define STATMAN_BUFFER_LEN				(sizeof(mszRender) / sizeof(mszRender[0]))

class StatMan {
	public:
		StatMan(HWND hParent, INT iX, INT iY, INT iW, INT iH);
		~StatMan(void);

		LRESULT paintProc(HWND hWnd, HDC hDC, PAINTSTRUCT psWin);
		void clipFile(TCHAR *pszDest, TCHAR *pszSource, TCHAR *pszTerms);

	private:
		HWND mhParent;

		HWND mhBorder;
		INT miX,miY;
		INT miWidth,miHeight;

		TCHAR mszRender[STATMAN_BUFFER_ENTRIES];
		TCHAR mszSample[STATMAN_BUFFER_ENTRIES];
		TCHAR mszMacros[STATMAN_BUFFER_ENTRIES];
		TCHAR mszMusic[STATMAN_BUFFER_ENTRIES];
};

#endif
